sc::UKS(3)

NAME
sc::UKS -

This provides a Kohn-Sham implementation for unrestricted-orbital open-shell systems.

SYNOPSIS

#include <uks.h>

Inherits sc::UnrestrictedSCF.

  Public Member Functions
UKS (StateIn &)
UKS (const Ref< KeyVal > &)
This KeyVal constructor reads the following keywords:
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
void two_body_energy (double &ec, double &ex)
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const

  Protected Member Functions
void ao_fock (double accuracy)
double scf_energy ()
Ref< SCExtrapData > extrap_data ()
void two_body_deriv (double *)
void init_vector ()
void done_vector ()

  Protected Attributes
Ref< DenIntegrator > integrator_
Ref< DenFunctional > functional_
RefSymmSCMatrix vaxc_
RefSymmSCMatrix vbxc_
double exc_

  Additional Inherited Members

Detailed Description

This provides a Kohn-Sham implementation for unrestricted-orbital open-shell systems.

Constructor & Destructor Documentation

  sc::UKS::UKS (const Ref< KeyVal > &)

This KeyVal constructor reads the following keywords: .IP "integrator" 1c Specifies the DenIntegrator that will be used to integrate the density functional. The default is RadialAngularIntegrator.

functional
    Specifies the DenFunctional that will be used to compute the exchange/correlation contribution. This is no default.

Member Function Documentation

  void sc::UKS::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

  int sc::UKS::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

Author

Generated automatically by Doxygen for MPQC from the source code.